import { EnumType, ICrossFieldConditionsParams, ICrossFieldValidationRule, IFormFieldBase, IFormGroupBase, IFormSettingsOverrides, IJsonSchema, RegularBreakpoints } from './modelsCommon';
export interface IFormSetting {
    overrides?: IFormSettingsOverrides;
    crossFieldValidations?: ICrossFieldValidationRule[];
    crossFieldConditions?: ICrossFieldConditionsParams;
    fieldLayout: RegularBreakpoints;
}
export type IFormSettings<T extends EnumType> = {
    [key in T]: IFormSetting;
};
export interface IFormParsed<T extends EnumType> {
    formatVersion: 'parsed';
    jsonSchema: IJsonSchema<T>;
    formSettings: IFormSettings<T>;
    children: Array<IFormFieldBase<T> | IFormGroupBase<T>>;
    submitButtonText: string;
    cancelButtonText?: string;
}
